commit:     0b28aef61b6fbb5a968908ac8e8d7f190b30a7f2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 21 07:06:44 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 21 09:42:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b28aef6

dev-python/nltk: Bump to 3.6.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nltk/Manifest          |  1 +
 dev-python/nltk/nltk-3.6.6.ebuild | 61 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/nltk/Manifest b/dev-python/nltk/Manifest
index f7969e869623..51bbfb48957c 100644
--- a/dev-python/nltk/Manifest
+++ b/dev-python/nltk/Manifest
@@ -2,3 +2,4 @@ DIST nltk-3.6.2.tar.gz 2819833 BLAKE2B 
9796822c35c524432e9790d0890b4388fbaa85b65
 DIST nltk-3.6.3.tar.gz 2824924 BLAKE2B 
fcab6647f43f4bf139857e9f4202aee688f564851976ed6a183e47361451fae771318346724e41f198b82cebdd5a47f151aaf932099143ef6faa2a77430fbfb4
 SHA512 
fe7244967df018670501304d1a8aa50a0f4d42bb0c73cc5e202eeab6a0f5da1eaed9b961f6026e3b8ae4b0393d788bcb58b263ba22a3ce6f5644022736035f98
 DIST nltk-3.6.4.tar.gz 2828051 BLAKE2B 
f757c9c6d0b5ab6105e90e1a46fc6671d5f661f9b1b58026ccb43c00ff4969a98cbc2005670e0a81218ef4d18e45c37bb380c53be4ca60984344b11a0c8dbc54
 SHA512 
ba9acaa596c7f9246cd2f8da37b58146021dc2c246306fab68a37ef833a5a346b1aa7033d43b9e72b52aeda1cf8e303c7c690d1ca439f6f58dc673aa63a37298
 DIST nltk-3.6.5.tar.gz 2830237 BLAKE2B 
9396e916fa847af727f1ca52075aed0bf708266512e62fd3f4c64bb3a5be3f2e7d6820108ab5418f6c6d44626de6fe7be9831a5acd33e6ebb898d910b1d68e91
 SHA512 
5614eca28576ba8783f847ec7a149ea4b83d57bb8af0f7af79ccdd75234b9f1cf957c63cb4b178f5455e2311da430344d8209b081a7097759959857ffb10005e
+DIST nltk-3.6.6.tar.gz 2847793 BLAKE2B 
63807a39752be582ec8a4bb5edc1b89552b47a7743f5c0661bf3334febbf499e174f5e334d7669352cb81543c3f885168f1cf0fed993f2b54e3d7524c7a0bec0
 SHA512 
0b39eeb039d8b42d063aadf251aa3cb80b5aaee9171554009b282df70a0d6e3f7d335534b82cb8c5b474de28b37b0a38ef62d580d1145fba1effd54fb770bc5d

diff --git a/dev-python/nltk/nltk-3.6.6.ebuild 
b/dev-python/nltk/nltk-3.6.6.ebuild
new file mode 100644
index 000000000000..192950405d9d
--- /dev/null
+++ b/dev-python/nltk/nltk-3.6.6.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="sqlite,tk?,xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Natural Language Toolkit"
+HOMEPAGE="https://www.nltk.org/ https://github.com/nltk/nltk/";
+SRC_URI="https://github.com/nltk/nltk/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-solaris"
+IUSE="tk"
+
+RDEPEND="
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/joblib[${PYTHON_USEDEP}]
+       dev-python/regex[${PYTHON_USEDEP}]
+       dev-python/tqdm[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/joblib[${PYTHON_USEDEP}]
+               >=dev-python/nltk-data-20211221
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pyparsing[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/twython[${PYTHON_USEDEP}]
+               sci-libs/scikit-learn[${PYTHON_USEDEP}]
+               dev-python/scipy[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+       )"
+PDEPEND="dev-python/nltk-data"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # Internet
+       
unit/test_downloader.py::test_downloader_using_existing_parent_download_dir
+       
unit/test_downloader.py::test_downloader_using_non_existing_parent_download_dir
+)
+
+src_prepare() {
+       # requires unpackaged pycrfsuite
+       sed -i -e '/>>>/s@$@ # doctest: +SKIP@' nltk/tag/crf.py || die
+       # replace fetching from network with duplicate file URL
+       sed -e 
's@https://raw.githubusercontent.com/nltk/nltk/develop/nltk/test/toy.cfg@nltk:grammars/sample_grammars/toy.cfg@'
 \
+               -i nltk/test/data.doctest || die
+
+       distutils-r1_src_prepare
+}
+
+src_test() {
+       cd nltk/test || die
+       distutils-r1_src_test
+}

Reply via email to